> ## Documentation Index
> Fetch the complete documentation index at: https://lemlist-docs-watch-list-public-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves your Signal Agents (watch lists) with pagination and optional filtering by signal type and status.

# List Signal Agents

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="Watch List" objectPath="watch-list" />

<Note>
  Results are paginated. Use `type` and `status` to narrow the list — both accept a comma-separated list of values. By default every status except `delete` is returned.
</Note>


## OpenAPI

````yaml get /watchlist
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /watchlist:
    get:
      tags:
        - Signal Agents
      summary: List Signal Agents
      parameters:
        - name: page
          in: query
          required: false
          description: Page number to retrieve
          example: '1'
          schema:
            type: integer
            minimum: 1
        - name: limit
          in: query
          required: false
          description: 'Number of records to retrieve. Maximum value: 100'
          schema:
            type: integer
            minimum: 1
            maximum: 100
          example: '50'
        - name: type
          in: query
          required: false
          description: Filter by signal type(s). Comma-separated list of signal types.
          schema:
            type: string
          example: jobChange
        - name: status
          in: query
          required: false
          description: >-
            Filter by lifecycle status(es). Comma-separated list. Defaults to
            every status except `delete`.
          schema:
            type: string
          example: active
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WatchListApiListWatchListsResponse'
        '400':
          description: Validation error - invalid query parameters
          content:
            text/plain:
              example: Invalid type values
        '401':
          description: Unauthorized - invalid or missing API key
          content:
            text/plain:
              example: Unauthorized
        '500':
          description: Internal server error
          content:
            text/plain:
              example: Internal server error
components:
  schemas:
    WatchListApiListWatchListsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/WatchListSchema'
        meta:
          $ref: '#/components/schemas/WatchListListMeta'
    WatchListSchema:
      type: object
      description: A Signal Agent (watch list) configuration.
      properties:
        _id:
          type: string
          description: Unique Signal Agent identifier
        name:
          type: string
          description: Display name
        type:
          type: string
          description: Signal type monitored by this Signal Agent
          enum:
            - companyIsHiring
            - companyRaisedFunds
            - recruitmentCampaign
            - jobChange
            - newHire
            - companyEmployeeVisitedMyWebsite
            - customSignals
            - competitorConnections
            - competitorReactions
            - companyFollowers
            - technologyChange
            - linkedinPeopleProfile
            - linkedinCompanyProfile
            - mergersAcquisitions
            - promotion
            - linkedinKeywords
            - externalSignalContact
            - externalSignalCompany
            - buyingIntent
        status:
          type: string
          description: Lifecycle status
          enum:
            - active
            - inactive
            - draft
            - insufficient_credits
            - empty_crm_lists
            - error
            - delete
        entity:
          type: string
          description: Entity kind the agent tracks
          enum:
            - contact
            - company
        segmentType:
          type: string
          description: How the monitored entities are sourced
          enum:
            - all
            - list
            - csv
        signalProcessingType:
          type: string
          description: How detected signals are processed
          enum:
            - manual
            - create_opportunity
            - push_to_campaign
        signalOpportunityTemplate:
          type: object
          description: >-
            Task/opportunity template applied to each signal when
            signalProcessingType is create_opportunity.
          properties:
            ownerType:
              type: string
              description: Who the created opportunity is assigned to
              enum:
                - contact_owner
                - specific_owner
            ownerId:
              type: string
              description: Owner user id, when ownerType is specific_owner
            type:
              type: string
              description: Opportunity channel
              enum:
                - email
                - phone
                - linkedinSend
                - whatsappMessage
                - manual
            priority:
              type: integer
              description: Opportunity priority
              enum:
                - 0
                - 1
                - 2
            data:
              type: object
              properties:
                title:
                  type: string
                  description: Opportunity title
                subject:
                  type: string
                  description: Email subject (email channel)
                emailTemplateId:
                  type: string
                  description: Email template id
                message:
                  type: string
                  description: Message body
        filters:
          type: array
          description: Filters narrowing which entities/events are tracked
          items:
            $ref: '#/components/schemas/WatchListFilter'
        emoji:
          type: string
          description: Emoji shown next to the agent name
    WatchListListMeta:
      type: object
      properties:
        pagination:
          type: object
          properties:
            page:
              type: integer
              description: Current page number
            limit:
              type: integer
              description: Number of records per page
            totalRecords:
              type: integer
              description: Total records matching the filter
            totalPages:
              type: integer
              description: Total number of pages
    WatchListFilter:
      type: object
      description: >-
        A filter narrowing which entities or events a Signal Agent tracks. `in`
        includes matching values, `out` excludes them.
      required:
        - filterId
      properties:
        filterId:
          type: string
          description: Filter identifier
          enum:
            - title
            - description
            - location
            - visitLocation
            - website
            - pagesTracked
            - minVisitDuration
            - minPageViewed
            - internalTraffic
            - linkedinUrls
            - companyLinkedinUrls
            - companyNames
            - companyLocation
            - companyIndustries
            - companySizes
            - maxIdentificationsPerDay
            - excludedVisitorIps
            - reactionTypes
            - linkedinTopics
            - bomboraTopics
            - watcherWatchKey
            - questions
            - fundraisingMinAmount
            - fundraisingMaxAmount
            - fundraisingInvestmentTypes
            - fundraisingInvestors
            - technologies
            - detectionMode
            - maDealTypes
            - maMinAmount
            - persona
            - externalSignalFieldMapping
            - externalSignalCustomFieldMapping
            - seniority
            - crmListIds
            - minJobCount
            - timeframe
        in:
          type: array
          description: Values to include
          items:
            type: string
        out:
          type: array
          description: Values to exclude
          items:
            type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````